
 /*
  *   Copyright (C) 2007, Rus V. Brushkoff, All rights reserved.
  */

// may be used for local sockets
_new_enum(SFINX_PACKET_PLAIN)
// may be used for serial links
_new_enum(SFINX_PACKET_CRC32)
// may be used for insecure transport
_new_enum(SFINX_PACKET_CRYPTED_AES)
_new_enum(SFINX_PACKET_CRYPTED_RSA)

// service id's - packet types
_new_enum(SFINX_DAEMON_VERSION)
_new_enum(SFINX_AUTH_REQUEST)
_new_enum(SFINX_ACCESS_GRANTED)
_new_enum(SFINX_ACCESS_DENIED)

// auth info
_new_enum(SFINX_PACKET_CRYPT_TYPES)
// min number of auth levels required to login
_new_enum(SFINX_MIN_AUTH_LEVELS)
_new_enum(SFINX_AUTH_LEVEL)
// supported server auth types
_new_enum(SFINX_AUTH_TYPES)

// auth type N1
_new_enum(SFINX_AUTH_USERPASS)
// auth type N2
_new_enum(SFINX_AUTH_RSA)

_new_enum(SFINX_AUTH_STAGE)

_new_enum(SFINX_CRC32_SUM)
_new_enum(SFINX_MD5_SUM)
_new_enum(SFINX_SHA1_SUM)
_new_enum(SFINX_SHA256_SUM)
_new_enum(SFINX_SHA512_SUM)

// generic types
_new_enum(SFINX_ELEMENT_8BIT)
_new_enum(SFINX_ELEMENT_8BIT_VECTOR)
_new_enum(SFINX_ELEMENT_16BIT)
_new_enum(SFINX_ELEMENT_16BIT_VECTOR)
_new_enum(SFINX_ELEMENT_32BIT)
_new_enum(SFINX_ELEMENT_32BIT_VECTOR)
_new_enum(SFINX_ELEMENT_64BIT)
_new_enum(SFINX_ELEMENT_64BIT_VECTOR)
_new_enum(SFINX_ELEMENT_128BIT)
_new_enum(SFINX_ELEMENT_128BIT_VECTOR)
_new_enum(SFINX_ELEMENT_256BIT)
_new_enum(SFINX_ELEMENT_256BIT_VECTOR)
_new_enum(SFINX_ELEMENT_FLOAT)
_new_enum(SFINX_ELEMENT_FLOAT_VECTOR)
_new_enum(SFINX_ELEMENT_DOUBLE)
_new_enum(SFINX_ELEMENT_DOUBLE_VECTOR)
_new_enum(SFINX_ELEMENT_STRING)
_new_enum(SFINX_ELEMENT_STRING_VECTOR)
_new_enum(SFINX_ELEMENT_DATE)
_new_enum(SFINX_ELEMENT_DATE_VECTOR)
_new_enum(SFINX_ELEMENT_BLOB)
_new_enum(SFINX_ELEMENT_SLICE)
_new_enum(SFINX_ELEMENT_SLICE_VECTOR)
_new_enum(SFINX_ELEMENT_PAIR)
_new_enum(SFINX_ELEMENT_PAIR_VECTOR)
_new_enum(SFINX_ELEMENT_FILE)
_new_enum(SFINX_ELEMENT_FILE_VECTOR)
_new_enum(SFINX_ELEMENT_PROGRESS)
_new_enum(SFINX_ELEMENT_SEARCH_QUERY)
_new_enum(SFINX_ELEMENT_SEARCH_RESULT)
_new_enum(SFINX_ELEMENT_NOTE)

// commands

// daemon info
_new_enum(SFINX_ALERT)
_new_enum(SFINX_GET_SLICES_STAT)

// slices
_new_enum(SFINX_NEW_SLICE)
_new_enum(SFINX_EDIT_SLICE_REQUEST)
_new_enum(SFINX_EDIT_SLICE)
_new_enum(SFINX_DELETE_SLICE_RECURSIVLY)
_new_enum(SFINX_DELETE_SLICE_WITH_REATTACH)
_new_enum(SFINX_DELETE_SLICE_ASSOC_DATA)
_new_enum(SFINX_DELETE_SLICE_ASSOC_DATA_RECURSIVLY)
_new_enum(SFINX_DELETE_SLICE_MARK_DATA_UNSORTED)
_new_enum(SFINX_DELETE_SLICE_MARK_DATA_UNSORTED_RECURSIVLY)
_new_enum(SFINX_SLICE_RELINK)

// objects
_new_enum(SFINX_OBJECTS_TREE_REQUEST)
_new_enum(SFINX_OBJECTS_TREE)
_new_enum(SFINX_OBJECTS_DELETE_RECURSIVLY)

// files
_new_enum(SFINX_FILES_MODULE_CONF_REQUEST)
_new_enum(SFINX_FILES_MODULE_CONF)
_new_enum(SFINX_FILES_MODULE_UNSORTED_TREE_REQUEST)
_new_enum(SFINX_FILES_MODULE_UNSORTED_TREE)
_new_enum(SFINX_FILES_MODULE_CLASSIFY_REQUEST)
_new_enum(SFINX_FILES_MODULE_CLASSIFY_REPLY)
_new_enum(SFINX_FILES_MODULE_EDIT_REQUEST)
_new_enum(SFINX_FILES_MODULE_EDIT_FILE)
_new_enum(SFINX_FILES_MODULE_EDIT_REPLY)
_new_enum(SFINX_FILES_MODULE_UNSORTED_DELETE)
_new_enum(SFINX_FILES_MODULE_SORTED_UNLINK)
_new_enum(SFINX_FILES_MODULE_SORTED_UNLINK_REPLY)
_new_enum(SFINX_FILES_MODULE_UNSORT)
_new_enum(SFINX_FILES_MODULE_UNSORT_REPLY)

// notes
_new_enum(SFINX_NOTES_MODULE_ADD)
_new_enum(SFINX_NOTES_MODULE_ADD_REPLY)
_new_enum(SFINX_NOTES_MODULE_EDIT_REQUEST)
_new_enum(SFINX_NOTES_MODULE_EDIT)
_new_enum(SFINX_NOTES_MODULE_EDIT_REPLY)
_new_enum(SFINX_NOTES_MODULE_UNLINK)
_new_enum(SFINX_NOTES_MODULE_UNLINK_REPLY)
_new_enum(SFINX_NOTES_MODULE_UNSORT)
_new_enum(SFINX_NOTES_MODULE_UNSORT_REPLY)

// search
_new_enum(SFINX_SEARCH_QUERY)
_new_enum(SFINX_SEARCH_RESULT)
